package com.ntels.onecable.view.things;

import android.support.v4.app.Fragment;
import android.support.v4.app.FragmentManager;
import android.support.v4.app.FragmentStatePagerAdapter;

/**
 * <pre>
 * 1. ClassName :   ThingsHomehubGuideAdapter
 * 2. FileName  :   ThingsHomehubGuideAdapter.java
 * 3. Package   :   com.ntels.onecable.view.things
 * 4. Date      :   2016-11-24
 * 5. Author    :   aaron
 * 6. Comment   :   Initialize
 * </pre>
 */
public class ThingsHomehubGuideAdapter extends FragmentStatePagerAdapter {

    public ThingsHomehubGuideAdapter(FragmentManager fm) {
        super(fm);
    }

    @Override
    public Fragment getItem(int position) {
        Fragment retFragment = null;
        switch (position) {
            case 0:
                retFragment = new FragmentThingsHomehubGuide1st();
                break;
            case 1:
                retFragment = new FragmentThingsHomehubGuide2nd();
                break;
            case 2:
                retFragment = new FragmentThingsHomehubGuide3rd();
                break;
            default:
                break;
        }
        return retFragment;
    }

    @Override
    public int getCount() {
        return 3;
    }
}
